The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"не ставится netams"
Вариант для распечатки  
Пред. тема | След. тема 
Форумы OpenNET: Виртуальная конференция (Public)
Изначальное сообщение [ Отслеживать ]

"не ставится netams"  
Сообщение от hammer email(??) on 12-Янв-09, 02:05 
В общем ситуация такая.
Скачал netams в исходниках дал ./configure все нормально прошло


##########################################################
## Configuring NeTAMS for build targets...            ##
Linux operating system...
Will have LIBIPQ support
Optional features: BW_limit Fast_FW_checks Layer7_filter
Will have MYSQL support
        [ /usr/lib/mysql        /usr/include/mysql ]
Will have BILLING service
Will have DEBUG flag set
Will have RADIUS support
## Configuration file was built.                              ##
##########################################################

дальше

[root@localhost netams-3.4.1rc1]# make
sh configure.sh
cd lib && make library
make[1]: Entering directory `/root/netams-3.4.1rc1/lib'
gcc -g -Wall -pipe -O2 -I../src -I./ -DLINUX -D_BSD_SOURCE -I/usr/include/pcap -I/usr/libipq -I../lib/libipulog/include -I/usr/include -DHAVE_BW -DFAST_FW_CHECK -DLAYER7_FILTER -DUSE_MYSQL -I/usr/include/mysql -DHAVE_BILLING -DDEBUG -DUSE_LIBRADIUS -I./libipulog/include -c libipulog/libipulog.c
libipulog/libipulog.c:27:20: error: stdlib.h: No such file or directory
libipulog/libipulog.c:28:19: error: stdio.h: No such file or directory
libipulog/libipulog.c:29:20: error: string.h: No such file or directory
libipulog/libipulog.c:30:20: error: unistd.h: No such file or directory
libipulog/libipulog.c:31:20: error: net/if.h: No such file or directory
In file included from libipulog/libipulog.c:32:
../lib/libipulog/include/libipulog/libipulog.h:6:19: error: errno.h: No such file or directory
../lib/libipulog/include/libipulog/libipulog.h:8:19: error: fcntl.h: No such file or directory
../lib/libipulog/include/libipulog/libipulog.h:9:23: error: sys/types.h: No such file or directory
../lib/libipulog/include/libipulog/libipulog.h:10:24: error: sys/socket.h: No such file or directory
../lib/libipulog/include/libipulog/libipulog.h:11:21: error: sys/uio.h: No such file or directory
../lib/libipulog/include/libipulog/libipulog.h:12:23: error: asm/types.h: No such file or directory
../lib/libipulog/include/libipulog/libipulog.h:13:27: error: linux/netlink.h: No such file or directory
../lib/libipulog/include/libipulog/libipulog.h:15:43: error: linux/netfilter_ipv4/ipt_ULOG.h: No such file or directory
In file included from libipulog/libipulog.c:32:
../lib/libipulog/include/libipulog/libipulog.h:25: error: expected specifier-qualifier-list before 'u_int8_t'
../lib/libipulog/include/libipulog/libipulog.h:33: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'ipulog_group2gmask'
../lib/libipulog/include/libipulog/libipulog.h:35: error: expected ')' before 'nl_id'
../lib/libipulog/include/libipulog/libipulog.h:39: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'ipulog_read'
../lib/libipulog/include/libipulog/libipulog.h:42: error: expected '=', ',', ';', 'asm' or '__attribute__' before '*' token
In file included from libipulog/libipulog.c:33:
./lib.h:31: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'CRC16'
libipulog/libipulog.c:60: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'ipulog_netlink_recvfrom'
libipulog/libipulog.c:106: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'ipulog_group2gmask'
libipulog/libipulog.c:117: error: expected ')' before 'nl_id'
libipulog/libipulog.c: In function 'ipulog_destroy_handle':
libipulog/libipulog.c:170: warning: implicit declaration of function 'close'
libipulog/libipulog.c:171: warning: implicit declaration of function 'free'
libipulog/libipulog.c: At top level:
libipulog/libipulog.c:181: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'ipulog_read'
libipulog/libipulog.c:189: error: expected '=', ',', ';', 'asm' or '__attribute__' before '*' token
libipulog/libipulog.c: In function 'ipulog_perror':
libipulog/libipulog.c:236: warning: implicit declaration of function 'fputs'
libipulog/libipulog.c:236: error: 'stderr' undeclared (first use in this function)
libipulog/libipulog.c:236: error: (Each undeclared identifier is reported only once
libipulog/libipulog.c:236: error: for each function it appears in.)
libipulog/libipulog.c:240: warning: implicit declaration of function 'fprintf'
libipulog/libipulog.c:240: warning: incompatible implicit declaration of built-in function 'fprintf'
libipulog/libipulog.c:241: error: 'errno' undeclared (first use in this function)
libipulog/libipulog.c:242: warning: implicit declaration of function 'strerror'
libipulog/libipulog.c:242: warning: format '%s' expects type 'char *', but argument 3 has type 'int'
libipulog/libipulog.c:243: warning: implicit declaration of function 'fputc'
make[1]: *** [libipulog.a] Error 1
make[1]: Leaving directory `/root/netams-3.4.1rc1/lib'
make: *** [lib] Error 2

че делать то ???

Высказать мнение | Ответить | Правка | Cообщить модератору

 Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "не ставится netams"  
Сообщение от SubGun (ok) on 12-Янв-09, 11:23 
Используйте порты для FreeBSD или пакеты для Linux. Не ищите приключений на свою задницу с исходниками.
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

2. "не ставится netams"  
Сообщение от hammer email(??) on 12-Янв-09, 13:09 
>Используйте порты для FreeBSD или пакеты для Linux. Не ищите приключений на
>свою задницу с исходниками.

Собственно поставить из rpm было бы лутшем решением, тока вопрос где взять то его для Scientific ???

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

3. "не ставится netams"  
Сообщение от SubGun (ok) on 12-Янв-09, 13:31 
>>Используйте порты для FreeBSD или пакеты для Linux. Не ищите приключений на
>>свою задницу с исходниками.
>
>Собственно поставить из rpm было бы лутшем решением, тока вопрос где взять
>то его для Scientific ???

А у него что, файловая система другая? Или glibc другой?
http://www.google.ru/search?hl=ru&newwindow=1&q=netams+site&...

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

4. "не ставится netams"  
Сообщение от hammer email(??) on 12-Янв-09, 22:27 
>>>Используйте порты для FreeBSD или пакеты для Linux. Не ищите приключений на
>>>свою задницу с исходниками.
>>
>>Собственно поставить из rpm было бы лутшем решением, тока вопрос где взять
>>то его для Scientific ???
>
>А у него что, файловая система другая? Или glibc другой?
>http://www.google.ru/search?hl=ru&newwindow=1&q=netams+site&...

скачал rpm ку пробую ставить, выдает


warning: netams-3.4.1rc1-19.1.i586.rpm: Header V3 DSA signature: NOKEY, key ID e5b5c002
error: Failed dependencies:
        libcrypto.so.0.9.8 is needed by netams-3.4.1rc1-19.1.i586
        libpcap.so.0 is needed by netams-3.4.1rc1-19.1.i586

доставил эти 2 либы тока толку это не принесло все равно выдает тоже самое, в чем проблема ???

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

5. "не ставится netams"  
Сообщение от SubGun (ok) on 13-Янв-09, 11:52 
Вы установили библиотеки не той версии, которая требуется для этого пакета.
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

6. "не ставится netams"  
Сообщение от hammer email(??) on 13-Янв-09, 12:50 
>Вы установили библиотеки не той версии, которая требуется для этого пакета.

Че не так???

/lib/libcrypto.so.0.9.8b
/usr/lib/libpcap.so.0

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

7. "не ставится netams"  
Сообщение от sonkilla (ok) on 14-Янв-09, 09:44 
>>Вы установили библиотеки не той версии, которая требуется для этого пакета.
>
>Че не так???
>
>/lib/libcrypto.so.0.9.8b
>/usr/lib/libpcap.so.0

Попробуйте libpcap-devel поставить

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

8. "не ставится netams"  
Сообщение от handler2006 email(ok) on 15-Янв-09, 09:39 
I have the same problem:
#rpm -i netams...rpm
error: Failed dependencies:
    /etc/rc.d/init.d(msg_usage) is needed by netams-3.2.2-alt1.i586
    /etc/rc.d/init.d(start_daemon) is needed by netams-3.2.2-alt1.i586
    /etc/rc.d/init.d(status) is needed by netams-3.2.2-alt1.i586
    /etc/rc.d/init.d(stop_daemon) is needed by netams-3.2.2-alt1.i586
    libipq.so.0.0 is needed by netams-3.2.2-alt1.i586
    libmysqlclient.so.12 is needed by netams-3.2.2-alt1.i586
    libpcap.so.0.8 is needed by netams-3.2.2-alt1.i586
    libpq.so.3 is needed by netams-3.2.2-alt1.i586
    service is needed by netams-3.2.2-alt1.i586
    sh is needed by netams-3.2.2-alt1.i586

I try build it from the source:
#tar -zxvf netams...src.gz
#cd netams.../
#make
ds_libpcap.h:19:26: error: pcap.h: No such file or directory
then  try yum:
#yum install libpcap
Package 14:libpcap-0.9.8-3.fc10.i386 already installed and latest version
Nothing to do

And how, I ask you install such packet on Fedora?

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

9. "не ставится netams"  
Сообщение от SubGun (ok) on 16-Янв-09, 10:18 
Try install development packages for libpcap
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

10. "не ставится netams"  
Сообщение от handler2006 email(??) on 16-Янв-09, 17:01 
>Try install development packages for libpcap

what are you talking about?


Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

11. "не ставится netams"  
Сообщение от sonkilla (ok) on 16-Янв-09, 22:07 
rpm -ivh http://rpm.livna.org/livna-release.rpm
yum install libpcap-devel
this is big problem?
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

12. "не ставится netams"  
Сообщение от handler2006 email(??) on 17-Янв-09, 09:14 
]# yum install libcap-devel
Loaded plugins: refresh-packagekit
fedora                                         | 2.8 kB     00:00    
updates                                        | 2.3 kB     00:00    
updates/primary_db                             | 1.8 MB     00:07    
Setting up Install Process
Parsing package install arguments
Package libcap-devel-2.10-2.fc10.i386 already installed and latest version
Nothing to do
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

13. "не ставится netams"  
Сообщение от handler2006 email(??) on 17-Янв-09, 10:33 
sorry, I'm just install libpcap-headers from GUI and now install netams
Thanks!
But I've another problem with patch-o-matic install.
Download it, unpack, runme extra, but new kernel does not support extra options iptables, likes "nth"
Do you now, how separate traffic an sessions?
I need MARK every session for shaping, so I think "nth" resolved my problem
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

Архив | Удалить

Индекс форумов | Темы | Пред. тема | След. тема
Оцените тред (1=ужас, 5=супер)? [ 1 | 2 | 3 | 4 | 5 ] [Рекомендовать для помещения в FAQ]




Спонсоры:
PostgresPro
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2022 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру